=== debian/changelog ===
qtorganizer-eds (0.2.0-3) unstable; urgency=medium

  [ Guido Berhoerster ]
  * debian/patches:
    + Add 2001-temporarily-disable-failing-tests.patch (Closes: #1078314).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 16 Dec 2024 14:30:06 +0100

qtorganizer-eds (0.2.0-2) unstable; urgency=medium

  * debian/upstream/metadata:
    + More renaming (qorganizer-eds -> qtorganizer-eds).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 13 Jul 2024 07:33:35 +0200

qtorganizer-eds (0.2.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1072247).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 20 Jun 2024 22:11:48 +0200
