=== debian/control ===
Source: qtorganizer-eds
Section: utils
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake (>= 3.16),
               debhelper-compat (= 13),
               libglib2.0-dev (>=2.62),
               libecal2.0-dev,
               libedataserver1.2-dev (>= 3.12),
               qt5-qmake,
               qtbase5-dev,
               qtpim5-dev (>= 5.0~git20171109~0bd985b),
               evolution-data-server,
               evolution-data-server-lomiri,
               libedataserver-source-lomiri-dev,
               dbus-test-runner,
               gvfs-daemons,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/qtorganizer-eds
Vcs-Git: https://salsa.debian.org/ubports-team/qtorganizer-eds.git
Vcs-Browser: https://salsa.debian.org/ubports-team/qtorganizer-eds

Package: qtorganizer5-eds
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: QtOrganizer engine for EDS calendar
 Qt Organizer provides clients with the ability to access calendar,
 schedule, and personal data in a platform-independent and
 datastore-agnostic manner. This is achieved by defining generic personal
 information data abstractions which can sufficiently describe calendar
 and scheduling data stored in the native calendaring system of a
 platform. Through the plugin architecture, Qt Organizer can be used as a
 front-end API for any calendaring system, such as an online calendar.
 .
 This package provides a QOrganizerEngine implementation using Evolution
 Data Server as storage backend.
